// Made with Blockbench 3.7.5
// Exported for Minecraft version 1.15
// Paste this class into your mod and generate all required imports

public static class ModelSkelebon_M extends EntityModel<Entity> {
	private final ModelRenderer bone;
	private final ModelRenderer Core;

	public ModelSkelebon_M() {
		textureWidth = 32;
		textureHeight = 32;

		bone = new ModelRenderer(this);
		bone.setRotationPoint(0.0F, 15.0F, 0.0F);
		bone.setTextureOffset(3, 5).addBox(-1.0F, -8.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		bone.setTextureOffset(21, 8).addBox(2.0F, -15.0F, 3.0F, 1.0F, 5.0F, 1.0F, 0.0F, false);
		bone.setTextureOffset(21, 0).addBox(-4.0F, -15.0F, 3.0F, 1.0F, 5.0F, 1.0F, 0.0F, false);
		bone.setTextureOffset(0, 8).addBox(-4.0F, -15.0F, -3.0F, 1.0F, 5.0F, 1.0F, 0.0F, false);
		bone.setTextureOffset(0, 0).addBox(2.0F, -15.0F, -3.0F, 1.0F, 5.0F, 1.0F, 0.0F, false);
		bone.setTextureOffset(0, 16).addBox(-3.0F, -9.0F, -2.0F, 5.0F, 1.0F, 5.0F, 0.0F, false);
		bone.setTextureOffset(0, 8).addBox(-4.0F, -10.0F, -3.0F, 7.0F, 1.0F, 7.0F, 0.0F, false);
		bone.setTextureOffset(0, 0).addBox(-4.0F, -16.0F, -3.0F, 7.0F, 1.0F, 7.0F, 0.0F, false);

		Core = new ModelRenderer(this);
		Core.setRotationPoint(-1.0F, 3.0F, 1.0F);
		Core.setTextureOffset(17, 19).addBox(-1.0F, -2.0F, -2.0F, 3.0F, 3.0F, 3.0F, 0.0F, false);
	}

	@Override
	public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red,
			float green, float blue, float alpha) {
		bone.render(matrixStack, buffer, packedLight, packedOverlay);
		Core.render(matrixStack, buffer, packedLight, packedOverlay);
	}

	public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
		modelRenderer.rotateAngleX = x;
		modelRenderer.rotateAngleY = y;
		modelRenderer.rotateAngleZ = z;
	}

	public void setRotationAngles(float f, float f1, float f2, float f3, float f4, float f5, Entity e) {
		super.setRotationAngles(f, f1, f2, f3, f4, f5, e);
		this.bone.rotateAngleY = f3 / (180F / (float) Math.PI);
		this.bone.rotateAngleX = f4 / (180F / (float) Math.PI);
		this.Core.rotateAngleX = f2;
	}
}