
package net.mcreator.thenewworld.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;
import net.minecraft.item.HoeItem;

import net.mcreator.thenewworld.itemgroup.NewWorldItemGroup;
import net.mcreator.thenewworld.TheNewWorldModElements;

@TheNewWorldModElements.ModElement.Tag
public class DamnedHoeItem extends TheNewWorldModElements.ModElement {
	@ObjectHolder("the_new_world:damned_hoe")
	public static final Item block = null;
	public DamnedHoeItem(TheNewWorldModElements instance) {
		super(instance, 40);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new HoeItem(new IItemTier() {
			public int getMaxUses() {
				return 902;
			}

			public float getEfficiency() {
				return 10f;
			}

			public float getAttackDamage() {
				return 3f;
			}

			public int getHarvestLevel() {
				return 5;
			}

			public int getEnchantability() {
				return 35;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(DamnedIngotItem.block));
			}
		}, 0, -3f, new Item.Properties().group(NewWorldItemGroup.tab)) {
		}.setRegistryName("damned_hoe"));
	}
}
