
package net.mcreator.thenewworld.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.PickaxeItem;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.thenewworld.itemgroup.NewWorldItemGroup;
import net.mcreator.thenewworld.TheNewWorldModElements;

@TheNewWorldModElements.ModElement.Tag
public class FlamationsPickaxeItem extends TheNewWorldModElements.ModElement {
	@ObjectHolder("the_new_world:flamations_pickaxe")
	public static final Item block = null;
	public FlamationsPickaxeItem(TheNewWorldModElements instance) {
		super(instance, 22);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new PickaxeItem(new IItemTier() {
			public int getMaxUses() {
				return 250;
			}

			public float getEfficiency() {
				return 6f;
			}

			public float getAttackDamage() {
				return 0f;
			}

			public int getHarvestLevel() {
				return 2;
			}

			public int getEnchantability() {
				return 14;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(FlamationIngotItem.block));
			}
		}, 1, -3f, new Item.Properties().group(NewWorldItemGroup.tab)) {
		}.setRegistryName("flamations_pickaxe"));
	}
}
