
package net.mcreator.thenewworld.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.PickaxeItem;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.thenewworld.itemgroup.NewWorldItemGroup;
import net.mcreator.thenewworld.TheNewWorldModElements;

@TheNewWorldModElements.ModElement.Tag
public class JatsieumPickaxeItem extends TheNewWorldModElements.ModElement {
	@ObjectHolder("the_new_world:jatsieum_pickaxe")
	public static final Item block = null;
	public JatsieumPickaxeItem(TheNewWorldModElements instance) {
		super(instance, 30);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new PickaxeItem(new IItemTier() {
			public int getMaxUses() {
				return 902;
			}

			public float getEfficiency() {
				return 10f;
			}

			public float getAttackDamage() {
				return 3f;
			}

			public int getHarvestLevel() {
				return 3;
			}

			public int getEnchantability() {
				return 35;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(JatsieumIngotItem.block));
			}
		}, 1, -3f, new Item.Properties().group(NewWorldItemGroup.tab)) {
		}.setRegistryName("jatsieum_pickaxe"));
	}
}
